package com.realnet.student.Services;
import com.realnet.student.Repository.StudentRepository;
import com.realnet.student.Entity.Student
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class StudentService {
@Autowired
private StudentRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Student Savedata(Student data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Student save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Student> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Student> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Student> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Student getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Student update(Student data,Integer id) {
	Student old = Repository.findById(id).get();
old.setName(data.getName());

old.setEmail(data.getEmail());

old.setStudentid(data.getStudentid());

old.setDateofbirth(data.getDateofbirth());

final Student test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
